Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 35)
@@ -137,7 +137,7 @@
                 int Value = CommonMotions.cnvInt(cmbItemType.SelectedValue);
                 if (Value < 1) return string.Empty;
 
-                return string.Format("CompanyCode In (Select CompanyCode From SubContractorJobItem Where ItemCode = {0})",
+                return string.Format("CompanyCode In (Select A1.CompanyCode From SubContractorJobItem A1 Where A1.ItemCode = {0})",
                                 CommonMotions.cnvInt(cmbItemType.SelectedValue));
 
             }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmApprovalStatusList.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmApprovalStatusList.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmApprovalStatusList.cs	(revision 35)
@@ -197,6 +197,11 @@
                 DataGridViewEX dgv = (DataGridViewEX)sender;
                 if (CommonMotions.chkCellBlank(dgv.CurrentRow.Cells[(int)GridColumn.ApprovalCode].Value)) return;
 
+                // 未申請は処理しない
+                string AppStatusString = CommonDefine.ApprovalStatusString[(int)CommonDefine.ApprovalStatus.Unclaimed];
+                string GridStatus = CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)GridColumn.ApprovalStatus].Value);
+                if (AppStatusString.Equals(GridStatus)) return;
+
                 // 工事番号取得
                 int iConstructionCode = m_ConstructionCode;
                 // 承認機能番号取得
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.Designer.cs	(revision 34)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmChangeExpenses.Designer.cs	(revision 35)
@@ -28,18 +28,26 @@
         /// </summary>
         private void InitializeComponent()
         {
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle7 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle8 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle9 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle10 = new System.Windows.Forms.DataGridViewCellStyle();
             this.btnExecProc1 = new System.Windows.Forms.Button();
-            this.btnCancel = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
             this.panel1 = new System.Windows.Forms.Panel();
-            this.groupBox1 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
-            this.label2 = new System.Windows.Forms.Label();
-            this.label1 = new System.Windows.Forms.Label();
-            this.radioButton1 = new System.Windows.Forms.RadioButton();
-            this.radioButton2 = new System.Windows.Forms.RadioButton();
-            this.radioButton3 = new System.Windows.Forms.RadioButton();
-            this.dateTimePicker1 = new System.Windows.Forms.DateTimePicker();
+            this.btnLineRemove = new System.Windows.Forms.Button();
+            this.dgvMaster = new System.Windows.Forms.DataGridView();
+            this.label7 = new System.Windows.Forms.Label();
+            this.lblTotal = new System.Windows.Forms.Label();
+            this.btnLineCreate = new System.Windows.Forms.Button();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.panel1.SuspendLayout();
-            this.groupBox1.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
             // 
             // btnExecProc1
@@ -46,7 +54,7 @@
             // 
             this.btnExecProc1.BackColor = System.Drawing.Color.Green;
             this.btnExecProc1.ForeColor = System.Drawing.Color.White;
-            this.btnExecProc1.Location = new System.Drawing.Point(106, 17);
+            this.btnExecProc1.Location = new System.Drawing.Point(353, 10);
             this.btnExecProc1.Name = "btnExecProc1";
             this.btnExecProc1.Size = new System.Drawing.Size(140, 40);
             this.btnExecProc1.TabIndex = 0;
@@ -54,110 +62,171 @@
             this.btnExecProc1.UseVisualStyleBackColor = false;
             this.btnExecProc1.Click += new System.EventHandler(this.btnExecProc1_Click);
             // 
-            // btnCancel
+            // btnEnd
             // 
-            this.btnCancel.BackColor = System.Drawing.Color.Red;
-            this.btnCancel.ForeColor = System.Drawing.Color.White;
-            this.btnCancel.Location = new System.Drawing.Point(254, 17);
-            this.btnCancel.Name = "btnCancel";
-            this.btnCancel.Size = new System.Drawing.Size(140, 40);
-            this.btnCancel.TabIndex = 3;
-            this.btnCancel.Text = "キャンセル";
-            this.btnCancel.UseVisualStyleBackColor = false;
-            this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
+            this.btnEnd.BackColor = System.Drawing.Color.Blue;
+            this.btnEnd.ForeColor = System.Drawing.Color.White;
+            this.btnEnd.Location = new System.Drawing.Point(509, 10);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(140, 40);
+            this.btnEnd.TabIndex = 3;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
             // 
             // panel1
             // 
             this.panel1.BackColor = System.Drawing.Color.WhiteSmoke;
-            this.panel1.Controls.Add(this.btnCancel);
+            this.panel1.Controls.Add(this.btnEnd);
+            this.panel1.Controls.Add(this.btnLineCreate);
+            this.panel1.Controls.Add(this.btnLineRemove);
             this.panel1.Controls.Add(this.btnExecProc1);
-            this.panel1.Location = new System.Drawing.Point(-8, 116);
+            this.panel1.Location = new System.Drawing.Point(-8, 184);
             this.panel1.Name = "panel1";
             this.panel1.Size = new System.Drawing.Size(660, 60);
             this.panel1.TabIndex = 3;
             // 
-            // groupBox1
+            // btnLineRemove
             // 
-            this.groupBox1.BackColor = System.Drawing.Color.WhiteSmoke;
-            this.groupBox1.BorderColor = System.Drawing.Color.Black;
-            this.groupBox1.Controls.Add(this.label2);
-            this.groupBox1.Controls.Add(this.label1);
-            this.groupBox1.Controls.Add(this.radioButton1);
-            this.groupBox1.Controls.Add(this.radioButton2);
-            this.groupBox1.Controls.Add(this.radioButton3);
-            this.groupBox1.Controls.Add(this.dateTimePicker1);
-            this.groupBox1.Location = new System.Drawing.Point(24, 10);
-            this.groupBox1.Name = "groupBox1";
-            this.groupBox1.Size = new System.Drawing.Size(596, 90);
-            this.groupBox1.TabIndex = 7;
-            this.groupBox1.TabStop = false;
+            this.btnLineRemove.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.btnLineRemove.ForeColor = System.Drawing.Color.Black;
+            this.btnLineRemove.Location = new System.Drawing.Point(158, 10);
+            this.btnLineRemove.Name = "btnLineRemove";
+            this.btnLineRemove.Size = new System.Drawing.Size(140, 40);
+            this.btnLineRemove.TabIndex = 0;
+            this.btnLineRemove.Text = "経費行削除";
+            this.btnLineRemove.UseVisualStyleBackColor = false;
+            this.btnLineRemove.Visible = false;
+            this.btnLineRemove.Click += new System.EventHandler(this.btnLineRemove_Click);
             // 
-            // label2
+            // dgvMaster
             // 
-            this.label2.BackColor = System.Drawing.Color.White;
-            this.label2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-            this.label2.ForeColor = System.Drawing.Color.Black;
-            this.label2.Location = new System.Drawing.Point(208, 56);
-            this.label2.Name = "label2";
-            this.label2.Size = new System.Drawing.Size(160, 28);
-            this.label2.TabIndex = 15;
-            this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.dgvMaster.AllowUserToAddRows = false;
+            this.dgvMaster.AllowUserToDeleteRows = false;
+            this.dgvMaster.AllowUserToResizeColumns = false;
+            this.dgvMaster.AllowUserToResizeRows = false;
+            this.dgvMaster.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle6.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle6.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle6.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle6.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle6.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle6.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvMaster.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle6;
+            this.dgvMaster.ColumnHeadersHeight = 26;
+            this.dgvMaster.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvMaster.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.Column2,
+            this.Column1,
+            this.Column3,
+            this.Column4,
+            this.Column5});
+            this.dgvMaster.ImeMode = System.Windows.Forms.ImeMode.Disable;
+            this.dgvMaster.Location = new System.Drawing.Point(3, 41);
+            this.dgvMaster.Name = "dgvMaster";
+            this.dgvMaster.RowHeadersVisible = false;
+            this.dgvMaster.RowHeadersWidth = 26;
+            this.dgvMaster.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.dgvMaster.RowTemplate.Height = 24;
+            this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
+            this.dgvMaster.Size = new System.Drawing.Size(640, 124);
+            this.dgvMaster.TabIndex = 4;
+            this.dgvMaster.CellEnter += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellEnter);
+            this.dgvMaster.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellValueChanged);
             // 
-            // label1
+            // label7
             // 
-            this.label1.BackColor = System.Drawing.Color.White;
-            this.label1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-            this.label1.ForeColor = System.Drawing.Color.Black;
-            this.label1.Location = new System.Drawing.Point(16, 56);
-            this.label1.Name = "label1";
-            this.label1.Size = new System.Drawing.Size(160, 28);
-            this.label1.TabIndex = 15;
-            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label7.BackColor = System.Drawing.Color.SandyBrown;
+            this.label7.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label7.Location = new System.Drawing.Point(2, 8);
+            this.label7.Name = "label7";
+            this.label7.Size = new System.Drawing.Size(114, 25);
+            this.label7.TabIndex = 37;
+            this.label7.Text = "受注金額";
+            this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // radioButton1
+            // lblTotal
             // 
-            this.radioButton1.AutoSize = true;
-            this.radioButton1.Checked = true;
-            this.radioButton1.Location = new System.Drawing.Point(16, 18);
-            this.radioButton1.Name = "radioButton1";
-            this.radioButton1.Size = new System.Drawing.Size(120, 25);
-            this.radioButton1.TabIndex = 0;
-            this.radioButton1.TabStop = true;
-            this.radioButton1.Text = "契約工期";
-            this.radioButton1.UseVisualStyleBackColor = true;
-            this.radioButton1.CheckedChanged += new System.EventHandler(this.radioButton_CheckedChanged);
+            this.lblTotal.BackColor = System.Drawing.Color.White;
+            this.lblTotal.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+            this.lblTotal.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.lblTotal.ForeColor = System.Drawing.Color.Black;
+            this.lblTotal.Location = new System.Drawing.Point(124, 8);
+            this.lblTotal.Name = "lblTotal";
+            this.lblTotal.Size = new System.Drawing.Size(150, 25);
+            this.lblTotal.TabIndex = 38;
+            this.lblTotal.Text = "999,999,999";
+            this.lblTotal.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
-            // radioButton2
+            // btnLineCreate
             // 
-            this.radioButton2.AutoSize = true;
-            this.radioButton2.Location = new System.Drawing.Point(208, 18);
-            this.radioButton2.Name = "radioButton2";
-            this.radioButton2.Size = new System.Drawing.Size(120, 25);
-            this.radioButton2.TabIndex = 14;
-            this.radioButton2.Text = "見積工期";
-            this.radioButton2.UseVisualStyleBackColor = true;
-            this.radioButton2.CheckedChanged += new System.EventHandler(this.radioButton_CheckedChanged);
+            this.btnLineCreate.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(128)))), ((int)(((byte)(255)))), ((int)(((byte)(128)))));
+            this.btnLineCreate.ForeColor = System.Drawing.Color.Black;
+            this.btnLineCreate.Location = new System.Drawing.Point(10, 10);
+            this.btnLineCreate.Name = "btnLineCreate";
+            this.btnLineCreate.Size = new System.Drawing.Size(140, 40);
+            this.btnLineCreate.TabIndex = 0;
+            this.btnLineCreate.Text = "経費行作成";
+            this.btnLineCreate.UseVisualStyleBackColor = false;
+            this.btnLineCreate.Visible = false;
+            this.btnLineCreate.Click += new System.EventHandler(this.btnLineCreate_Click);
             // 
-            // radioButton3
+            // Column2
             // 
-            this.radioButton3.AutoSize = true;
-            this.radioButton3.Location = new System.Drawing.Point(400, 18);
-            this.radioButton3.Name = "radioButton3";
-            this.radioButton3.Size = new System.Drawing.Size(120, 25);
-            this.radioButton3.TabIndex = 2;
-            this.radioButton3.Text = "日付選択";
-            this.radioButton3.UseVisualStyleBackColor = true;
+            dataGridViewCellStyle7.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle7.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column2.DefaultCellStyle = dataGridViewCellStyle7;
+            this.Column2.Frozen = true;
+            this.Column2.HeaderText = "№";
+            this.Column2.Name = "Column2";
+            this.Column2.ReadOnly = true;
+            this.Column2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column2.Width = 60;
             // 
-            // dateTimePicker1
+            // Column1
             // 
-            this.dateTimePicker1.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.dateTimePicker1.Location = new System.Drawing.Point(400, 56);
-            this.dateTimePicker1.Name = "dateTimePicker1";
-            this.dateTimePicker1.Size = new System.Drawing.Size(179, 28);
-            this.dateTimePicker1.TabIndex = 5;
-            this.dateTimePicker1.TabStop = false;
-            this.dateTimePicker1.Visible = false;
+            this.Column1.Frozen = true;
+            this.Column1.HeaderText = "経費番号";
+            this.Column1.Name = "Column1";
+            this.Column1.ReadOnly = true;
+            this.Column1.Visible = false;
+            this.Column1.Width = 5;
             // 
+            // Column3
+            // 
+            dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
+            dataGridViewCellStyle8.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Column3.DefaultCellStyle = dataGridViewCellStyle8;
+            this.Column3.Frozen = true;
+            this.Column3.HeaderText = "経費名称";
+            this.Column3.Name = "Column3";
+            this.Column3.ReadOnly = true;
+            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column3.Width = 280;
+            // 
+            // Column4
+            // 
+            dataGridViewCellStyle9.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle9.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle9;
+            this.Column4.Frozen = true;
+            this.Column4.HeaderText = "比率(％)";
+            this.Column4.Name = "Column4";
+            this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column4.Width = 120;
+            // 
+            // Column5
+            // 
+            dataGridViewCellStyle10.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle10.Font = new System.Drawing.Font("Century", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.Column5.DefaultCellStyle = dataGridViewCellStyle10;
+            this.Column5.Frozen = true;
+            this.Column5.HeaderText = "金　額";
+            this.Column5.Name = "Column5";
+            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column5.Width = 160;
+            // 
             // FrmChangeExpenses
             // 
             this.AcceptButton = this.btnExecProc1;
@@ -164,10 +233,12 @@
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.White;
-            this.ClientSize = new System.Drawing.Size(644, 321);
-            this.Controls.Add(this.groupBox1);
+            this.ClientSize = new System.Drawing.Size(644, 241);
+            this.Controls.Add(this.label7);
+            this.Controls.Add(this.lblTotal);
+            this.Controls.Add(this.dgvMaster);
             this.Controls.Add(this.panel1);
-            this.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Font = new System.Drawing.Font("ＭＳ 明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.KeyPreview = true;
             this.MaximizeBox = false;
@@ -175,12 +246,11 @@
             this.Name = "FrmChangeExpenses";
             this.ShowIcon = false;
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
-            this.Text = "経　費　率　変　更";
-            this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.FrmChangeExpenses_FormClosed);
+            this.Text = "経　費　変　更";
+            this.FormClosing += new System.Windows.Forms.FormClosingEventHandler(this.FrmChangeExpenses_FormClosing);
             this.Load += new System.EventHandler(this.FrmCostStructureDiag_Load);
             this.panel1.ResumeLayout(false);
-            this.groupBox1.ResumeLayout(false);
-            this.groupBox1.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
             this.ResumeLayout(false);
 
         }
@@ -188,14 +258,17 @@
         #endregion
 
         private System.Windows.Forms.Button btnExecProc1;
-        private System.Windows.Forms.Button btnCancel;
+        private System.Windows.Forms.Button btnEnd;
         private System.Windows.Forms.Panel panel1;
-        private System.Windows.Forms.DateTimePicker dateTimePicker1;
-        private CustomControls.GroupBoxEx groupBox1;
-        private System.Windows.Forms.RadioButton radioButton2;
-        private System.Windows.Forms.RadioButton radioButton3;
-        private System.Windows.Forms.RadioButton radioButton1;
-        private System.Windows.Forms.Label label2;
-        private System.Windows.Forms.Label label1;
+        private System.Windows.Forms.DataGridView dgvMaster;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.Label lblTotal;
+        private System.Windows.Forms.Button btnLineRemove;
+        private System.Windows.Forms.Button btnLineCreate;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
     }
 }
\ No newline at end of file
